<?php

/******************************** copyright ************************************
/*
/*	All upphovsrtt tillfaller adversus art, web & media samt 
/*	Victor Spng Arthursson.
/*
/*	Ingen kod fr anvndas i annat sammanhang n vad som skriftligen verrens-
/*	kommet med ovan nmnda, och inte heller modifieras p ngot stt. I vrigt
/*	gller svensk upphovsrttslagstiftning.
/*
/*	Fr ytterligare information och kontakt:
/*	web:	http://www.adversus.se
/*	mail:	info@adversus.se
/*	tel: +46 (0)733 20 40 02
/*
/*
/*						*** copyright - english version ***
/*
/*	All copyright belongs to adversus art, web & media and
/*	Victor Spng Arthursson.
/*
/*	No code may be used in other circumstances than what has been writtenly agreed
/*	upon with the copyright holder according to above, and it may not be modified
/*	in any what so ever way. For other issues, the swedish copyright laws applies.
/*
/*	More information and contact:
/*	web:	http://www.adversus.se
/*	mail:	info@adversus.se
/*	tel: +46 (0)733 20 40 02
/*
/******************************************************************************/

// *** sprkvariabler ***

$class_file_manager_txt["SE"]["0"] = "Foldern existerar inte";
$class_file_manager_txt["UK"]["0"] = "The folder doesn't exist";
$class_file_manager_txt["SE"]["1"] = "Det gick inte att ppna foldern";
$class_file_manager_txt["UK"]["1"] = "The folder couldn't be opened";

// ### sprkvariabler ###

// inkludera fil som kontrollerar strngar
include_once("functions/function_valid_string.php");

// inkludera fil som stter aktivt sprk
include_once("includes/set_var_activelang.php");

class file_manager {
	var $base_path;
	var $last_error;
	
	// konstruktorn stter automatiskt base_path till aktivt directory
	function file_manager() {
		$this->set_base_path(realpath("."));
	}
	
	function set_base_path($base_path) {
		if(valid_string($base_path)&&is_dir($base_path)) {
			$this->base_path = $base_path;
			return true;
		}
		else { 
			return false;
		}	
	}

	function get_folders($directory = NULL) {
		$directory = (!is_null($directory)?"/$directory":"");
		if($dir = @opendir($this->base_path . $directory)) {
			$return_array = array();
			while($file=readdir($dir)) {
				if(is_dir($this->base_path.$directory . "/" . $file)&&$file!="."&&$file!= "..")
					$return_array[] = $file;
			}
			closedir($dir);
			// sortera vektorn
			natsort($return_array);
			return array_values($return_array);
		}
		else return false;
	}
	
	function get_files($folder, $filetypes = NULL) {
		if(! (valid_string($folder)&&is_dir($this->base_path . "/" . $folder)) )
			return $class_file_manager_txt[$activelang][0];
		else {
			// om det gr att ppna vald folder
			if ($dir = @opendir($this->base_path . "/" . $_GET["folder"])) {
				// hur r det med filtrering p filtyper?
				if(valid_string($filetypes)) {
					$filetypes = explode(" ", $filetypes);
				}
				$return_array = array();
				while($file = readdir($dir)) {
					// om det r en giltig fil
					if($file != "." && $file != ".." &! is_dir($this->base_path . "/" . $file)) {
						// och om den har rtt filtyp
						if(valid_array($filetypes)) {
							$count = count($filetypes);
							$i = 0;
							$break = false;
							while ($i < $count &! $break) {
								if(stristr($file, "." . $filetypes[$i]))
									$return_array[] = $file;
								$i++;
							}
						}
						else 
							$return_array[] = $file;
					}
				}
				closedir($dir);
				// sortera vektorn
				natsort($return_array);
				return array_values($return_array);
			}
			# om det gr att ppna vald folder
			else {
				$this->last_error = $class_file_manager_txt[$activelang][1];
				return false;
			}
		}
	}
}


?>